﻿* Encoding: UTF-8.
*--------------------------------------------------------------------------------------------------------------------------.

* Kumulation der Mikrozensen 1962 bis 2016

* SPSS-Syntax zur Vergabe von Variablen- und Value-Labels
* Zusatzvariablen zur partnerschaftlichen Lebensform


*--------------------------------------------------------------------------------------------------------------------------.

* Dateiname: part_labels.sps
* Version: 1

* IBM SPSS Statistics Version 24.0

* Bei Nutzung dieses Programmcodes bitte zitieren:
* Lengerer, Andrea (2019): Mikrozensus Tools: Identifikation verschieden- und
  gleichgeschlechtlicher Partnerschaften in den Scientific Use Files 1973 bis 2014
  GESIS Papers 2019/09. Mannheim: GESIS
* Lengerer, Andrea; Schroedter, Julia H.; Boehle, Mara; Wolf, Christof (2020):
  Datenhandbuch GESIS Mikrozensus-Trendfile. Harmonisierung der Mikrozensen 1962 bis 2016
  GESIS Papers 2020/18. Mannheim: GESIS

* GESIS - Leibniz-Institut fuer Sozialwissenschaften
  German Microdata Lab
  https://www.gesis.org/gml
  gml@gesis.org

*--------------------------------------------------------------------------------------------------------------------------.





*---------------------------------------------   Vergabe von Variable Labels   --------------------------------------------.

VARIABLE LABELS vers_part 'Versionsnummer Bereich Partnerschaft'
   / ehe 'mit Ehepartner im Haushalt lebend'
   / elp 'mit eingetragenem Lebenspartner im Haushalt lebend'
   / vgp_s1 'mit verschiedengeschl. Partner im Haushalt lebend, Schaetzung, Altersdiff. unerheblich'
   / vgp_s2 'mit verschiedengeschl. Partner im Haushalt lebend, Schaetzung, Altersdiff. <18 Jahre'
   / vgp_ga 'mit verschiedengeschl. Partner im Haushalt lebend, gueltige Angaben'
   / vgp_gia 'mit verschiedengeschl. Partner im Haushalt lebend, gueltige und imputierte Angaben'
   / ggp_s1 'mit gleichgeschl. Partner im Haushalt lebend, Schaetzung, Altersdiff. unerheblich'
   / ggp_s2 'mit gleichgeschl. Partner im Haushalt lebend, Schaetzung, Altersdiff. <18 Jahre'
   / ggp_ga 'mit gleichgeschl. Partner im Haushalt lebend, gueltige Angaben'
   / ggp_gia 'mit gleichgeschl. Partner im Haushalt lebend, gueltige und imputierte Angaben'
   / persnr 'Nummer der Person im Haushalt'
   / epartnr 'Nummer des Ehepartners im Haushalt'
   / partnr 'Nummer des (nichtehelichen) Partners im Haushalt'.


*----------------------------------------------   Vergabe von Value Labels   ----------------------------------------------.

VALUE LABELS
   / ehe
          0 'ohne Ehepartner'
          1 'mit Ehepartner'
         -2 'entfaellt'
   / elp
          0 'ohne eingetragenen Lebenspartner'
          1 'mit eingetragenem Lebenspartner'
          -2 'entfaellt'
   / vgp_s1 vgp_s2 vgp_ga vgp_gia
          0 'ohne verschiedengeschl. Partner'
          1 'mit verschiedengeschl. Partner'
          -1 'ohne Angabe'
          -2 'entfaellt'
   / ggp_s1 ggp_s2 ggp_ga ggp_gia
          0 'ohne gleichgeschl. Partner'
          1 'mit gleichgeschl. Partner'
          -1 'ohne Angabe'
          -2 'entfaellt'
   / epartnr
          -2 'entfaellt'
   / partnr
          -2 'entfaellt'.

